export type SnackbarIn = {
    message: string;
    actions?: Record<string, () => void>;
    closable?: boolean;
    timeout?: number | null;
};
import { type ComponentProps } from "svelte";
import type { HTMLAttributes } from "svelte/elements";
import SnackbarItem from "./SnackbarItem.svelte";
type SnackbarConfig = Omit<ComponentProps<typeof SnackbarItem>, "children">;
type $$ComponentProps = {
    config?: SnackbarConfig;
} & HTMLAttributes<HTMLDivElement>;
declare const Snackbar: import("svelte").Component<$$ComponentProps, {
    show: ({ message, actions, closable, timeout }: SnackbarIn) => void;
}, "">;
type Snackbar = ReturnType<typeof Snackbar>;
export default Snackbar;
