import type { Snippet } from "svelte";
import type { HTMLButtonAttributes } from "svelte/elements";
import type { IconifyIcon } from "@iconify/types";
type $$ComponentProps = {
    /**
     * general is filter/suggestion since they're the same.
     * | name       | use              | example                       | phrasing           |
     * |------------|------------------|-------------------------------|--------------------|
     * | input      | information item | like a person in the to field | user-entered thing |
     * | assist     | smart actions    | like add to calendar          | start with a verb  |
     * | filter     | selection        | like in a search page         | category           |
     * | suggestion | smart actions    | like a chat response          | query/message      |
     */
    variant: "input" | "assist" | "general";
    icon?: IconifyIcon | undefined;
    trailingIcon?: IconifyIcon | undefined;
    elevated?: boolean;
    disabled?: boolean;
    selected?: boolean;
    children: Snippet;
    click: () => void;
} & HTMLButtonAttributes;
declare const Chip: import("svelte").Component<$$ComponentProps, {}, "">;
type Chip = ReturnType<typeof Chip>;
export default Chip;
